from django.urls import path
from .views import (
    DeviceLogListAPIView,
    DeviceInfoListAPIView,
    LatestStatisticAPIView,
    DeviceStatusAPIView,
    LatestDailyListAPIView,
    DeviceDailyListAPIView
)


app_name = 'counter-api'
urlpatterns = [
    path('logs/', DeviceLogListAPIView.as_view(), name='logs'),
    path('device/', DeviceInfoListAPIView.as_view(), name='device'),
    path('latest/statistic/', LatestStatisticAPIView.as_view(), name='latest-statistic'),
    path('latest/daily/', LatestDailyListAPIView.as_view(), name='latest-logs'),
    path('device/daily/', DeviceDailyListAPIView.as_view(), name='device-daily'),
    path('device/status/', DeviceStatusAPIView.as_view(), name='device-status'),
]